<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <meta charset="UTF-8">
    <title>Register</title>

    <style>

        body {background-color:#555;}
        .navbar-fixed {position: absolute;z-index:999999999;}


        .col .row{
            margin-left: 5rem;
            margin-right: 5rem;
        }
        .background{

            position: absolute;
            width: 100%;
            height: 100%;
            background-image: url("https://abali.ru/_d/2013/05/siniy_goluboj_fon_1920x1080.jpg");
        }
        .foreground{
            backdrop-filter: blur(10px);
            margin-left: 25rem;
            margin-right: 25rem;
            margin-top:  5rem;
        }
        aside {
            position: relative;
            padding: 1.5rem;
            font-size: 1.125rem;
            font-weight: 600;
            max-width: 700px;
            border-top: 4px solid;
            border-left: 4px solid;
            border-bottom: 4px solid;
            border-image-slice: 1;
            border-image-source: linear-gradient(90deg, #14b1ab, transparent);
        }
        .brand-logo{
            position:absolute;
            left:0px;
            top:-100%;
        }
        ::placeholder{
            color: black;

        }
    </style>

</head>
<body>
<div class="wrapper">

    <div class="background">

        <div class="navbar-fixed">
            <nav class="transparent z-depth-0">
                <div class="nav-wrapper">
<!--                    <a href="#!" class="brand-logo"><img src="logo/logo.png" ></a>-->
                    <a href="#" data-target="mobile-demo" class="sidenav-trigger"><i class="material-icons">menu</i></a>
                    <ul class="right hide-on-med-and-down">
                        <li><a th:href="@{/}" href="index.html">Home</a></li>
                        <li><a th:href="@{/forms}" href="formPage.html" >Forms and Offers</a></li>
                        <li sec:authorize="isAuthenticated()" > <a th:href="@{/my-profile}" href="my-profile.html">My Profile</a></li>

                        <li sec:authorize="hasRole('ROLE_ADMIN')">
                            <form th:action="@{/administrator}" method="get">
                                <button class="btn waves-effect waves-light col s4" type="submit" value="Admin">Admin Portal
                                </button>
                            </form>
                        </li>

                        <li sec:authorize="isAuthenticated()">
                            <form th:action="@{/logout}" method="post">
                                <button class="btn waves-effect waves-light col s4" type="submit" value="Logout">Logout!
                                </button>
                            </form>
                        </li>

                        <button class="btn waves-effect waves-light col s4" sec:authorize="!isAuthenticated()" onclick="window.location='/login'" value="Login">Login!</button>

                    </ul>
                </div>
            </nav>
        </div>


        <div class="foreground">


            <aside>


            <div class="registration-bar">
<div class="row">
    <form action="#" th:action="@{/register}" th:object="${user}" method="post" class="col s12">

        <div class="row">

            <div class="input-field col s6">
                <label style="color: red" th:errors="*{firstName}"></label>
            </div>

            <div class="input-field col s6">
                <label style="color: red" th:errors="*{lastName}"></label>
            </div>

        </div>

        <p>
            <i th:if="${message != null}" th:text="${message}" class="error" style="color:#ff0000; font-size:x-large"/>
        </p>
        <div class="row">

            <div class="input-field col s6">
                <input placeholder="First Name" id="first_name" type="text" class="validate" th:field="*{firstName}" required>

            </div>

            <div class="input-field col s6">
                <input placeholder="Last Name" id="last_name"  type="text" class="validate" th:field="*{lastName}" required>

            </div>

        </div>

        <div class="row">
            <div class="input-field col s12">
                <label style="color: red" th:errors="*{username}"></label>
                <p>
                    <i th:if="${message != null}" th:text="${message}" class="error" style="color:#ff0000; font-size:x-large"></i>
                </p>

            </div>
        </div>
        <div class="row">
            <div class="input-field col s12">
                <input placeholder="Email" id="email" type="email" class="validate" th:field="*{username}" required>

            </div>
        </div>

        <div class="row">
            <div class="input-field col s12">
                <label style="color: red" th:errors="*{password}"></label>
            </div>
        </div>

        <div class="row">
            <div class="input-field col s12">
                <input placeholder="Password" id="password" type="password" class="validate" th:field="*{password}" required>

            </div>
        </div>

        <div class="row">
        <div class="input-field col s12">
            <input placeholder="Password Confirmation" id="password-confirmation" type="password" class="validate" th:field="*{passwordConfirmation}" required>
        </div>
        </div>

        <div class="row">
            <div class="input-field col s6">
                <label style="color: red" th:errors="*{phone}"></label>
            </div>

            <div class="input-field col s6">
                <label style="color: red" th:errors="*{address}"></label>
            </div>
        </div>
        <div class="row">
            <div class="input-field col s6">
                <input placeholder="Phone Number" id="phone" type="tel" class="validate" th:field="*{phone}" required>
            </div>

            <div class="input-field col s6">
                <input placeholder="Address" id="address" type="text" class="validate" th:field="*{address}" required>
            </div>

            <div class="input-field col s12">

                <select class="browser-default" th:field="*{cityId}" required>
                   <option
                       th:each="city:${cities}"
                       th:value="${city.id}"
                       th:text="${city.name}">Select city
                   </option>

                </select>
            </div>





        </div>

        <br/><br/><br/>


            <button class="btn waves-effect waves-light col s4" type="submit" value="Register">Register!
            </button>


    </form>
</div>
</div>
            </aside>
        </div>
    </div>
</div>


</body>

</html>